Welcome to the Agilent Technologies Wireless Protocol Advisor Help

Help Revision Date: April 22, 2005

This online help describes how to use the Wireless Protocol Advisor. The help is organized into the following sections:

Getting Help: Use this section if you want to learn how to get the most from this online help.

Getting Started: Use this section if you are a new user.

How To ...: Use this section if you want step-by-step procedures for performing the most common tasks with the Wireless Protocol Advisor.

Learn About ...: Use this section if you want to learn about features of the Wireless Protocol Advisor.

Application Programming Interface: Use this section if you want information on how to use the Wireless Protocol Advisor's Application Programming Interface.

Loading and Licensing the Wireless Protocol Advisor: Use this section if you want information on reinstalling and upgrading the Wireless Protocol Advisor or about licensing software options.

Troubleshooting: Use this section if you have questions relating to installation, setup or use.


Legal Information

Acknowledgements

Microsoft ® is a U.S. registered trademark of Microsoft Corporation

Windows ® and MS Windows ® are U.S. registered trademarks of Microsoft Corporation.

Notice

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies’ standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.

© Agilent Technologies, Inc. 2002-2005


Getting Help

This section provides details on how to use this online help and how to get additional information on the Internet.

For more information, choose a topic below:

Learning about Using Help

How to Get More Help


Learning about Using Help

The Wireless Protocol Advisor's On-line Help is based on Microsoft Windows On-line Help.

General Help

Click [image] or select Contents and Index from the Help menu to display the On-line Help's Contents, Index and Find tabs

  • The Contents tab contains an expandable list of step-by-step instructions and basic information about each aspect of the Wireless Protocol Advisor.

  • The Index tab contains an alphabetical list of common words and phrases.

  • The Search tab lets you search for a word or phrase. The first time you select the Search tab you will be prompted to create the list of words used within the help system. The system builds the list for you in a few seconds.

On Views

  • Click F1 to display detailed information about the current view. You will find out what the view does and how it should be used.

  • Click Shift+F1 or select What's This? from the Help menu and point on the item you want more information on.

In Dialog Boxes

  • Click F1 to display detailed information about the selected object.

  • Click [image] in a dialog box and point to the object you want information about.

Tips

  • Move the pointer over an item to display a ToolTip. ToolTips provide additional information about the item. ToolTips are available on toolbar buttons and on many views.

  • In many areas right-clicking displays a menu. This menu lists all the functionality for the item on which the right-mouse button was clicked.


How to Get More Help

You can get up-to-date information about all aspects of the Wireless Protocol Advisor at the following Agilent Technologies web site.

http://www.agilent.com/find/e6584a

This web site contains the most recent CHM Help file, Release Notes, and the latest available WPA software download.


Getting Started

The topics in this section provide important introductory information if you are a new user.

For more information, choose a topic below:

Introduction

The Basic Steps

System Configuration

Set up the Wireless Protocol Advisor

Troubleshooting Connections

Demo Mode


Introduction

The Agilent Technologies WPA (Wireless Protocol Advisor) is an application that allows you to log protocol messages between the test set and the device under test. It can also be used to store, retrieve, and analyze previously captured message logs.

Product Description

The WPA can be licensed to run the following options:

  • Option 001 GSM/GPRS/EGPRS decodes

  • Option 002 cdma2000 decodes

  • Option 003 W-CDMA decodes

  • Option 006 1-xEV-DO decodes

The WPA is designed for use with certain applications of the following test sets:

  • E5515C Wireless Communications Test Set

  • E6900A Wireless Protocol Test Set

E5515C Wireless Communications Test Set
Application | Wireless Protocol Advisor
E6701C GSM/GPRS Lab Application | Option 001 GSM/GPRS/EGPRS decodes
E6702A cdma2000 Lab Application | Option 002 cdma2000 decodes
E6703A W-CDMA Lab Application | Option 003 W-CDMA decodes
E6704A EGPRS Lab Application | Option 001 GSM/GPRS/EGPRS decodes
E6706A 1xEV-DO Lab Application | Option 006 1xEV-DO decodes
E6900A Wireless Protocol Test Set
Application | Wireless Protocol Advisor
E6910A GPRS Protocol Application | Option 001 GSM/GPRS/EGPRS decodes

WPA features

  • Real time or post capture operating modes.

  • Traffic Overview

  • Single-line display of the individual protocol messages in sequential order as they are received

  • You can configure the display by selecting the column fields. Fields include message number, message direction (text), message direction (arrow) system time, timestamp (based on PC's real-time clock), message name, repeat count, and selected fields from the logged messages.

  • Decode View

  • Displays a very detailed decode of the selected message.

  • Display either the individual octets of the message or a separate line for each field of each parameter in the message.

  • Configurable display columns include octet number, octet data, decimal value, binary value, hexadecimal value, and field description.

  • User configurable filters, some of which can be saved for use later. The filter types include:

  • Test set filters limit the amount of information sent over the LAN by passing only the messages for selected protocol layers.

  • Logging filters limit the amount of information contained in the log. The extremely flexible configuration can be based on individual field parameters of messages for any protocol layer. A time based filter can also be established. Filters can be combined using AND and OR operations. Logging filters can be exported to an external file for use with other captures or logs.

  • View filters limit the amount of information displayed, but have no effect on the amount of information actually logged. These also have extremely flexible user configurations based on individual field parameters of messages for any protocol layer or on timestamps which can be combined using AND and OR operations. Logging filters can be exported to an external file for use with other captures or logs.

  • Find filters locate messages in the captured log matching user defined parameters. These filters can be exported for use with other captures or logs.

  • Triggers to define when to start and stop logging. These are conditions that can be configured to pre-capture or post-capture a specific number of messages. Configurations can be saved for later use. The types of trigger configurations includes:

  • Message match triggers start or stop logging when a received message matches or does not match the user-selected message or message parameters.

  • Time triggers start or stop logging on a specific timestamp and day based on your PC's real-time clock.

  • Trigger counts can also be used to start logging. Log capture starts after a user-defined number of start triggers have occurred.

  • Event triggers start or stop logging when a message dropped, message received, or received message overflow event occurs.

  • Captured logs can be saved to useful file types. These include *.tol for use with the WPA and *.csv for use with a spreadsheet program. Additionally, message decodes can be saved to a text file or copied to other applications.

  • Demonstration mode allows you to try out the features of the Wireless Protocol Advisor before a license is purchased.

Microsoft ® and Windows ® are U.S. registered trademarks of Microsoft Corp.


The Basic Steps

There are three main steps to using your Wireless Protocol Advisor (WPA).

  1. Step 1 - Connecting and Configuring

  2. Step 2 - Capturing

  3. Step 3 - Analyzing Data

Step 1 - Connecting and Configuring

  1. The test set and the PC running the WPA software must be connected to a LAN. See the test set's documentation for information on setting the necessary IP and gateway addresses.

  2. Start the WPA and connect to your test set.

  3. At the Start Up screen select Config to configure the WPA to monitor the test set, or , if WPA has already been configured to monitor the test set, choose Real Time . (Alternatively, click Post Capture to open an existing *.tol file)

Step 2 - Capturing

Once configured you must click [image] in Monitor [image] to start capturing. You must be in Real Time mode to capture data.

Step 3 - Analyzing Data

To analyze the data and investigate problems:

  • Use Filters to capture or isolate only the messages you want. There are various filter types available.

  • Analyze the captured information.

  • Save log files (*.tol) for analysis later. The configuration and measurement setup information is also saved in the log file.


System Configuration

The Wireless Protocol Advisor (WPA) is connected to your network via the LAN connection on your PC.

Typically the PC is already connected to the LAN. Connecting your PC to the LAN is not covered in these instructions.

The test set must also be connected to the LAN via its LAN port.

The Device Under Test (DUT) must be connected to the test set via the RF IN/OUT port on the test set's front panel.


Set Up the Wireless Protocol Advisor

There are several steps involved in setting up your Wireless Protocol Advisor (WPA).

Set Up the Test Set

You may need to request a valid IP address and subnet mask for the test set from your IT department. You may also need an IP address for your wireless device. If you arbitrarily create your own addresses, you may cause problems on your network.

Set up the Test Set for LAN Connection

  1. Connect the test set to the LAN.

  2. Power up the test set.

  3. Press the System Config key to go to the System Config screen.

  4. Verify that the selected application is one that will work with the WPA product you are running.

  5. Look at the LAN IP address and the Subnet Mask on the System Config screen. If they are not correct,use the Instrument Setup (F1) key on the test set to change these values.

(Optional) Set up the RF In/Out Amplitude on the Test Set

Set the amplitude offset to compensate for the device’s RF test cable if necessary.

  1. Press the System Config key.

  2. Press the RF IN/OUT Amptd Offset (F5) softkey.

  3. Press the RF IN/OUT Amptd Offset Setup (F2) softkey

  4. It is OK to leave the RF In/Out Amplitude Offset State value as Off if your RF cable between the test set and the DUT is low loss. If it is On, check that reasonable values are entered in the table for the device’s RF test cable.

  5. Press the Close Menu (F6) key.

Set Up the WPA to Communicate With the Test Set

  1. Start the WPA. If it is a new installation, the Software Option Controller will be displayed. You will need to license one or more software options before WPA can communicate with your test set Refer to your Entitlement Certificate for instructions on licensing software options.

  2. Once the WPA is started, select Config if WPA is not already configured to communicate with the test set. This displays the Instrument Configuration screen as shown in the figure below. If WPA is configured to communicate with the test set, select Real Time to bypass the Instrument Configuration screen.

  3. Enter the test set's IP Address (found on the Instrument Setup menu on the test set)

  4. Optional: Click on the Bypass default LAN settings checkbox. This step is recommended if it is not necessary to connect from the PC to the test set through a proxy server or network gateway. Contact your system administrator if necessary.

  5. Optional: Click on one or more of the Stacks/Streams checkboxes. A check mark indicates that a stream is set up to route data between the test set and a WPA decode stack. When WPA establishes a connection with a test set, it automatically ensures that decode stacks are loaded and a stream exists for all test set applications that have corresponding WPA licenses. If you place a check mark in a WPA stack that is unlicensed, WPA will set up a stream and messages that are identified as part of that protocol can be viewed in post capture mode on WPA software that does have the required license.

  6. Click on the Connect button.

  7. The Configuration screen will display while the WPA is trying to connect to the test set. If connection is successful, the WPA Traffic Overview window will be displayed. If unsuccessful, an error window will be displayed. See Troubleshooting Connections.

Verify Connections

  1. Verify that a WPA is connected to the test set by looking at the Logging annunciator in the Instrument Status Area on the test set's front panel display. If the WPA is connected to the test set, the Logging status indicates "Logging:Idle". If a connection does not exist, the status indicates "No Conn."

  2. Verify that the WPA is communicating with the test set by observing the Status field in the bottom right corner of the Monitor window. It displays "Connected to <IP Address of your test set> - Idle" if a connection has been established.

  3. You can also check the status of the connection from the Configuration window.

    1. Observe the Status field in the Configuration screen. It should read Idle. Test set information is displayed in the information box below the Connect/Disconnect button in the screen.

    2. Verify that you have the correct application loaded on the test set by reading the test set information in the information box.


Troubleshooting Connections

If WPA does not Connect with the Test Set

Before contacting Agilent Technologies, verify the following checkpoints:

  1. The PC (Personal Computer) is connected to the LAN.

  2. The test set is connected to the LAN.

  3. The test set is running the correct application.

  4. The WPA software on the PC is trying to connect to the correct test set IP address. (Compare IP addresses on the test set's System Config screen and the WPA's Configuration screen.)

If the IP address has been verified but WPA still won't connect, click on the checkbox labeled "Bypass default LAN settings" located below the Status field on the Instrument Configuration screen. Clicking on this checkbox will cause WPA to attempt a direct TCP/IP connection to the test set. Proxy server settings or Automatic configurations will be bypassed.

If your problem cannot be resolved using this information, see How to Get More Help.


Demo Mode

An interactive demonstration mode is provided with the Wireless Protocol Advisor (WPA) which allows you to view examples of protocol logs, configure the traffic and decode views for your preferences, configure and save view filters and search, as well as save and print the example protocol logs.

How to open the Wireless Protocol Advisor in demostration mode

The Option Controller is used to put the WPA into demonstration mode. To activate demonstration mode:

  1. Click on the Windows©Start menu and locate Wireless Protocol Advisor in the Programs menu.

  2. Select Software Option Controller from the Wireless Protocol Advisor menu.

  3. Click [image] to open the WPA in demonstration mode.

  4. The Start Up menu appears. Click Post Capture.

  5. Select a demonstration log file from the Select Log File box. (The demonstration log files are located in the Demo Traffic folder and have .dtl file extensions.) Click Open.

Restrictions while operating in demonstration mode

  • In demonstration mode, the Wireless Protocol Advisor is not able to connect to the test set. Therefore, real time logs can not be captured.

  • Only files with the file extension .dtl can be loaded by the WPA when it is operating in demonstration mode.

  • .dtl files can not be modified or saved while the WPA is in demonstration mode. For example, it is possible to use the view filter to change what appears in the Traffic Overview, but this change cannot be saved to the existing .dtl file or to any other file. It is possible to save the captured log to either text or .cvs files.


How To ...

The topics in this section provide step-by-step procedures for performing the most common tasks with the Wireless Protocol Advisor.

For more information, choose a topic below:

Capture Traffic

Use the Measurement Setup view

Use Triggers and Filters

Analyze Captured Data

Use Connection Trace


Capture Traffic

You can quickly capture all the messages between the test set and the Device Under Test by following the Quick Capture instructions. You can add and save Filters in Post Capture mode.

To restrict which messages are captured, go to Monitor's Measurement Setup view ( [image]) where you can define Test Set Filters, Triggers, and Logging Filters.


Quick Capture

  1. After connecting and configuring click [image] to go to Monitor.

  2. Click [image] to start capturing using the default settings.

  3. Click [image] when you want to stop capturing from your network. Then click [image] to save.

To pause traffic press [image] or [Spacebar]. Messages will continue to be recorded, only the views are paused.
To resume processing captured messages after pausing press [image].

Do not pause for too long while capturing at high data rates as you may lose data. The green area of the Free Buffers indicator at the bottom right of the windows ( [image]) will reduce as the buffer space is used. When buffer space is almost full the green band will change to red ( [image]). You must resume the capture to avoid loosing data. The band will indicate if data has been lost.

Considerations

  • is disabled when the Wireless Protocol Advisor is in Post Capture mode.


Use the Measurement Setup View

Measurement setups contain information used to control the capture and viewing of messages exchanged between the test set and the device under test. You can export measurement setups to *.msf files. Once exported, you can import the file and reuse, or edit, the settings (filters and triggers) in a new Real Time measurement. Measurement setups can also be imported from a log file (*.tol).

When you import measurement setups the triggers and filter (logging, view, and so on) are imported into the current Real Time setup. You then choose whether to use your current Real Time hardware configuration setting or use the settings from an existing configuration file.

  • Click F1 to display this help topic for Measurement Setup view. In any Wireless Protocol Advisor (WPA) view, click F1 to display the current view's help topic.

  • Only ONE Real Time session can run at a time, however, multiple log files can be analyzed in Post Capture mode.


Export a Measurement

  1. Select Export Setup from the File menu.

  2. Enter the filename you want to use and click OK.

You can use this measurement in another Real Time capture by importing it.


Import a Measurement

  1. If the Wireless Protocol Advisor is not in Real Time mode, click Monitor's ( [image]) Real Time button ( [image]).

  2. Select Import Setup from the File menu to display the Select Setup to Import dialog box.

  3. Select the measurement setup file (*.msf) you want to use for the current Real Time capture and click Open. The Setup Import dialog box will be displayed.

  4. You must choose whether to use the existing Real Time configuration or to use an existing configuration file. Select Yes to use the current Real Time configuration,
    OR
    No     to select another configuration. The Select configuration for… dialog will be displayed. Select the configuration file from the list and click Open.

The current Measurement Setup and Configuration, where applicable, will be replaced.

You cannot import measurement setups in Post Capture mode.


Import a Measurement From a Log File

  1. If the Wireless Protocol Advisor is not in Real Time mode, click Monitor's ( [image]) Real Time button ( [image]).

  2. Select File menu [image] Import Setup to display the Select Setup to Import dialog box.

  3. Click [image] to display the higher level directories and double-click the Capture Data directory.

  4. Change the File type to Tol Files (*.tol) to display the log files.

  5. Select the file you want to import the measurement setup from and click Open. The Setup Import dialog box will be displayed.

  6. You must choose whether to use the existing Real Time configuration or to use an existing configuration file. Select Yes to use the current Real Time configuration,
    OR
    No     to select another configuration. The Select configuration for… dialog will be displayed. Select the configuration file from the list and click Open.

The current Measurement Setup and Configuration, where applicable, will be replaced.

You cannot import measurement setups in Post Capture mode.


Use Triggers and Filters

You can use triggers and filters to define which events and messages are processed. Start and stop triggers restrict the messages processed and the filters act as pass filters; items selected to filter are passed and all others are discarded.

The following filters and triggers are available in the Wireless Protocol Advisor (WPA):

  • Test set filters - instruct the test set which messages to send to the WPA

  • Start and Stop Triggers - Triggers control when to start or stop logging within the WPA

  • Log filters - control what is stored in the WPA log file

  • View filters - control what is viewed in the Traffic Overview screen

  • Find filters - locate information in the Traffic Overview screen

Trigger and Filter Setup

Triggers and filters are set up in the Monitor's Measurement Setup.

In Monitor's Measurement Setup view:

  • Set up Triggers to automatically start and stop capturing Real Time events and messages between the Device Under Test (DUT) and the test set.

  • Set up Logging Filters to restrict which events and messages are captured.

  • Set up View Filters to restrict which events and messages are displayed in the Traffic Overview.

In Monitor's Traffic Overview:

  • Set up or edit existing View Filters to restrict which events and messages are displayed in the current Traffic Overview.

  • Set up Find Filters to highlight defined events and messages.


Set Up a Test Set Filter

Test set filters can be created to control which messages are actually sent from the test set to the Wireless Protocol Advisor (WPA). They are essentially a pre-filter to the WPA and its other filters and triggers. Test set filters limit the amount of information sent over the LAN by passing only the messages for selected protocol layers.

  1. If the WPA is not in Real Time mode, click Monitor's ( [image]) Real Time button ( [image]). Remember that the WPA must be successfully connected to a test set before Real Time mode can be used.

  2. Click [image] to open Monitor's Measurement Setup view.

  3. Double-click the Test Set filter to display the Test Set Message Filter editor, which is a list of the available protocol layers. If you are not connected to the test set, the available settings are unknown to WPA and a warning message is displayed . The figure below shows the Test Set Message Filter for the GSM/GPRS format. The Protocol Stack and Tap Points diagram can be hidden by unchecking Display Protocol Stack and Tap Points.

  4. Select the check boxes for the protocol layers whose messages you want to send to the WPA. The selected protocol layer's messages pass through the filter.

  5. Click OK to apply the filter.


Message Match Filter Setup

  1. Click New to create a new filter. Or edit an existing filter by adding 'AND' criteria to it.

  2. Click the Message Match tab.

  3. Double-click the Protocol. The list will update to show the fields in the selected protocol.

  4. Click on the Field. The Value criteria will be displayed opposite the field list.

  5. Select the value from the list. Or, click Add Value to display a dialog box, enter the new value in the dialog box and click OK.

  6. Either click another tab to add 'AND' criteria to the filter or click OK to apply the filter.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)


Create a Start or Stop Trigger

This is only applicable to Real Time mode.

Triggers automatically start or stop the capture of messages between the test set and the Device Under Test (DUT) when an event which meets the trigger is detected. You can have no triggers, a start trigger, a stop trigger or both start and stop triggers.

Within a single trigger description the Trigger Conditions are 'AND'ed. To set up 'OR' conditions you must create a new trigger (repeat from Step 3 for the 'OR' conditions.)

Trigger Criteria

  1. If the Wireless Protocol Advisor is not in Real Time mode, click Monitor's ( [image]) Real Time button ( [image]). Click [image] to open Monitor's Measurement Setup view.

  2. Double-click [image] to display the Trigger Editor.

  3. Click either the Start or Stop Trigger panel to select it and then click New button to create a new trigger.

  4. (OPTIONAL) Set up options in the Criteria panel. If you do not set criteria the capture session will start and /or stop at the message that activates the trigger(s).

    • (OPTIONAL) Start Criteria
      You can capture for a specified time, or specific number of messages before the event or message that activates the Start Trigger. You can also set the maximum capture duration if there is no Stop Trigger or its conditions have not been met by the defined duration.

    • (OPTIONAL) Stop Criteria
      You can capture for a specified time or specific number of messages after the event or message that activates the Stop Trigger.

  5. Set up the Trigger Conditions in the tabs in the lower half of the Trigger Editor.

  6. Click OK to apply the trigger(s).

  • You can disable a trigger, without losing the settings, by clearing the trigger's check box. Only triggers which are selected are used during the capture.

  • Message conditions (in the lower half of the Trigger and Filter Editors) are set up the same way in Start Triggers, Stop Triggers, Logging Filters, View Filters and Find Message.


Time Filter Setup

  1. Click New to create a new filter. Or edit an existing filter by adding 'AND' criteria to it.

  2. Click the Time tab.

  3. Click on the time filter type you want to apply.

  4. Enter the date and time details required.

  5. Either click another tab to add 'AND' criteria to the filter or click OK to apply the filter.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)

The Time Filter set up options change depending on the timestamp format being used in Monitor.


Text search

Text Search Filter Setup

The WPA provides a text search feature for finding text strings within decoded protocol messages.

Including a Text Search as part of a filter or trigger setup may slow protocol logging significantly. (Performance will vary depending on the PC system WPA is running on. )

If filter or trigger settings force WPA to fully decode an excessive number of messages, processing time could cause messages to be lost. An example of this would be entering a text string with no Message Match filtering employed to allow internal algorithms to reduce decoding.

See How to Use Text Search for information about limiting the scope of Text Search.

To access the Text Search feature, select the Measurement Setup view, then double-click on one of the following icons:

  • Triggers

  • Log Filter

  • View Filter

From the editor, select New or Import, then select the Text Search tab. The following window will be displayed:

How Text Search Works

WPA combines the Text Search string with any Events, Message Match or Time settings into a Summary expression that describes protocol message attributes WPA will attempt to resolve as logging takes place (or after logging is stopped or when operating in post capture mode). Only those messages containing the target text string will be displayed.

The Summary of filtering or triggering settings is displayed in a window in the upper right portion of the Filter Editor or Trigger Editor.

How to Use Text Search

Simply enter a text string into the Text Search text box.

WPA decodes protocol messages only to the level that is necessary to resolve filter and trigger expressions using internal algorithms for determining the most efficient way to evaluate the expressions that result from trigger and filter settings. The algorithms are designed to allow WPA to move through messages as quickly as possible to minimize message processing.

Performance problems, such as slow protocol message processing, can result when a text search causes too much additional message decoding. To avoid these problems, limit the scope of the text search as much as possible. Do this by adding other filter terms, such as Message Match, Event, Time filters and Trigger settings.

If you would like to use regular expressions, a programming tool that is found in many text editors, click on the right arrow next to the text entry field to display a list of conditions that, when selected, will automatically insert regular expression syntax into the string. Make sure the Regular expression checkbox is checked if you want the search to treat the text box string as a regular expression.


Create a Logging Filter

This is only applicable to Real Time mode.

Logging Filters restrict which events and messages are captured. Only events and messages which pass through the logging filter are captured. Event and Messages on emulation links will not be filtered.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)

  1. If the Wireless Protocol Advisor is not in Real Time mode, click Monitor's ( [image]) Real Time button ( [image]). Click [image] to open Monitor's Measurement Setup view.

  2. Double-click [image] to display the Filter Editor.

  3. Click New to create a new filter.

  4. Set up the Filter Conditions in the tabs in the lower half of the Filter Editor.

  5. Click OK to apply the filter.

  • Logging Filter criteria cannot be changed in Post Capture mode.

  • You can disable a filter, without losing the settings, by clearing the trigger's check box. Only triggers which are selected are used during the capture.


Bit Mask Filter Setup

Description

The bit mask filter allows you to filter by the existence of a value in a range of bits specified by a bit mask. A bit mask filter can only be specified for certain messages. The bit mask filter requires you to enter two values: the bit value and the bit mask. The bit value is the decimal value you want the remaining bits to match after the bit mask has been applied. The bit mask is the decimal value of the bit mask you want applied.

For example, if you enter a bit value of 5 and a bit mask of 7 to a 6 bit field, in binary the bit mask would be

000111

and the bit value you are looking for is

100.

Therefore, if the field contained the bits XXX100 (where X could be either a 1 or 0), the message would pass through the filter.

How to Set Up the Filter

  1. Click New to create a new filter. Or edit an existing filter by adding 'AND' criteria to it.

  2. Click the Message Match tab.

  3. Double-click the Protocol. The list will update to show the fields in the selected protocol.

  4. Click the Field. The Value criteria will be displayed opposite the field list. Click Add Value.

  5. Enter the Bit Value (5), '&' and the Bit Mask (7) in decimal, for example, 5&7.

  6. Either click another tab to add 'AND' criteria to the filter or click OK to apply the filter.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)


Copy a Filter or Trigger

This is not applicable to the test set filter.

  1. From Monitor click [image] to open Measurement Setup view.

  2. Right-click the icon for the trigger or filter you want to copy and select Copy.

  3. Right-click the trigger or filter you want to overwrite and select Paste.

Triggers can be copied only to triggers and filters can be copied only to filters.


Disable a Trigger or Filter

From either the Trigger or Filter Editor click to clear the check box next to the trigger or filter you want to disable.


Export a Trigger or Filter

This is not applicable to the test set filter.

Exporting triggers or filters from a measurement setup allows you to use them in other measurement setups or in future measurement setups.

  1. From either the Trigger or Filter Editor click Export. If more than one filter or trigger is defined, the Export Filters dialog box opens. Otherwise, the Export dialog box opens and you should go to Step 3.

  2. Select the check box for the filters or triggers to be exported. Click OK.

  3. Type a filename. Click Save.

Exported triggers and filters are saved to an external file whose name you specify.


Field Presence Filter Setup

  1. Click New to create a new filter. Or edit an existing filter by adding 'AND' criteria to it.

  2. Click the Message Match tab.

  3. Double-click the Protocol to display the Fields. This will filter for any message containing the selected Field.

  4. Right-click the Field to display the pop-up menu and select the Select Presence of Field option. Or, select Any Value on the opposite panel.

  5. Either click another tab to add 'AND' criteria to the filter or click OK to apply the filter.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)


Import a Trigger or Filter

This is not applicable to the test set filter.

  1. From either the Trigger or Filter Editor click Import to open the Import dialog box.

  2. Select the file you want to import and click OK.

Triggers and filters are imported from an external file. Only Filter files can be imported to the Filter Editor. Similarly, only Trigger files can only be imported into the Trigger Editor.


Invalid Value Filter Setup

  1. Click New to create a new filter. Or edit an existing filter by adding 'AND' criteria to it.

  2. Click the Message Match tab.

  3. Double-click the Protocol. The list will update to show the fields in the selected protocol.

  4. Click the field you want to filter on. The Value criteria will be displayed opposite the field list. Click Select All and the Not Match option. This will filter for messages containing this field with any value other than a valid one.

  5. Either click another tab to add 'AND' criteria to the filter or click OK to apply the filter.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)


Not Match Filter Setup

  1. Click New to create a new filter. Or edit an existing filter by adding 'AND' criteria to it.

  2. Click the Message Match tab.

  3. Double-click the Protocol. The list will update to show the fields in the selected protocol.

  4. Click the Field. The Value criteria will be displayed opposite the field list.

  5. Select the value from the list. Or, click Add Value to display a dialog box, enter the new value in the dialog box and click OK.

  6. Click Not Match. This will filter for any value other than those entered.

  7. Either click another tab to add 'AND' criteria to the filter or click OK to apply the filter.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)


Protocol Presence Filter Setup

  1. Click New to create a new filter. Or edit an existing filter by adding 'AND' criteria to it.

  2. Click the Message Match tab.

  3. Right-click the Protocol to display the pop-up menu and select the Select Presence of Protocol option. This will filter for any message using the selected Protocol.

  4. Either click another tab to add 'AND' criteria to the filter or click OK to apply the filter.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)


Remove a Protocol's Filter Settings from the Filter

Right-click on the Protocol and select Deselect Presence of Protocol from the pop-up menu.


Remove a Trigger or Filter

  1. Click the trigger or filter to be deleted.

  2. Click Remove.

  • Disable triggers or filters if you want to remove them temporarily.

  • Export a trigger or filter if you want to save it.


Rename a Trigger or Filter

  1. Double-click the trigger or filter to display the dialog box.

  2. Type the new name. Click OK.


Trigger Counts Setup

This is only applicable to Real Time mode.

You can set up the trigger to be ignored until the conditions have been met a defined number of times. Set the occurrence you want to activate the trigger. The default is to activate the trigger on the first occurrence.

  1. Click New to create a new trigger. Or edit an existing trigger by adding 'AND' criteria to it.

  2. Click the Trigger Counts tab.

  3. Enter the number of the start trigger occurrence that you want to actually start capturing messages.

  4. Either click another tab to add 'AND' criteria to the trigger or click OK to apply the trigger.

Within a single Trigger, Filter or Find the Conditions are 'AND'ed. Create another trigger (or filter) to add 'OR' conditions (and repeat to create further 'OR' conditions.)


Analyze Captured Data

From Monitor you can define what and how messages are displayed. You can also:

  • Apply view filters to display only the desired messages.

From setting filters to changing the layout and level of details displayed, you have a variety of display tools.


Decode Messages

There are three ways to decode a message:

  • Clicking the Decode View icon, [image], displays the message decode view. Clicking the icon again will hide the Decode view.

  • Select Decode view from the Traffic menu.

  • Double-click the message you want to decode. The decode will appear in the lower half of the Traffic Overview window.

To decode another message simply select it in the Traffic Overview. The Decode view always shows the decode for the highlighted message.


Create a View Filter

View Filters restrict which events and messages are displayed. Only captured events and messages which pass through a view filter will be displayed.

  1. In Monitor select View Filter from the Traffic menu.

  2. Click New to create a new filter.

  3. Set up the Filter Conditions in the tabs in the lower half dialog.

  4. Click OK to apply the filter.


Find an Event or Message

Find Filters highlight particular events or messages.

  1. In Monitor select Find from the Traffic menu.

  2. Click New to create a new filter.

  3. Set up the Filter Conditions in the tabs in the lower half dialog.

  4. Click OK to apply the find filter and locate the first message.

  5. Select Find Next from the Traffic menu or F3 to select the next event or message that meets the conditions. Or, select Find Previous from the Traffic menu or Shift+F3 to select the previous event or message that meets the conditions.


Opening Log Files

From the Start Up Screen

  1. Click Post Capture to display the Open dialog box.

  2. Select the file you want to open. Click OK.

From Monitor

  1. From Monitor (click [image] if Monitor view is not displayed) click [image] to display the Open dialog box.

  2. Select the file you want to open. Click OK.

In Real Time mode ( [image]), only a single Real Time file is available. In Post Capture mode ( [image]), multiple log files can be open simultaneously.


Display Settings

You can use a variety of display settings to customize the way events and messages are displayed. Detail settings and columns can all be used to customize the way information is displayed.


Change_Decode_Display_Format

The fields in the Decode view can be displayed either as one Field Per Line or one Octet Per Line.

  1. Right-click on the Decode view to display the pop-up menu.

  2. Select Field Per Line.

A tick ( [image]) indicates that the display is using the Field Per Line format. No tick indicates that the Octet Per Line format is being used.


Change Timestamp Format

  1. Right-click the Traffic overview to display the pop-up menu.

  2. Select Timestamp Format.

  3. Select the format you require from the list shown.

A tick ( [image]) to the left of a timestamp format indicates the format that is in use.


Compare Two Different Messages in the Same File

  1. From the Traffic menu check that there is no tick ( [image]) to the left of the Synchronize Views option. If there is a tick ( [image]), indicating that synchronization is on, click the option to turn it off.

  2. Click [image] to open a second Traffic Overview.

You can now decode a message from each window.


Display the Same Message in Different Views

  1. From the Traffic menu, select the Synchronize Views option.

  2. Click [image] to open a second Traffic Overview.

  3. Click a message in one view and the same message will be highlighted in the other Traffic Overview.

If the message has been filtered out of the other Traffic Overview the nearest message will be highlighted.


Rearrange Windows

Select Tile Horizontally from the Window menu to display the windows so that they do not overlap on the screen.

Alternatively you can select Cascade to display the windows in an overlapped fashion.

In the Monitor view, windows are tiled automatically when a new view or window is created.


Displaying Columns

Display Columns

You can customize which columns are displayed, the order in which they are displayed, and the width of the column. Click the links below for more information.

Move Columns

Resize Columns

Show/Hide Columns

Protocol Field Columns


Move Columns

You can change the columns in Traffic Overview or Decode view.

  1. Select the column heading of the column you want to move.

  2. Hold the mouse button down on the heading and drag the heading to its new location.

Protocol field columns can not be positioned before any of the basic columns.


Resize Columns

You can change the columns in Traffic Overview or Decode view.

  1. Select the column whose width you want to adjust.

  2. Drag the border at the right of the column heading until the column is the width you want.

Double-click the border to the right of the column heading to make the width fit the contents of the column.


Show/Hide Columns

You can change the columns in Traffic Overview or Decode view.

  1. Right-click on the view to display the pop-up menu.

  2. Select Columns from the pop-up menu.

  3. Select the columns you want to show. Clear the checks from the columns you want to hide.


Protocol Field Columns

Selecting the Column Setup feature in the Traffic Overview allows you to display many of the fields and parameters belonging to certain protocol stacks as columns. Otherwise, this data is only available in the decode view. You can use this to quickly identify messages with particular parameters or field values and can be very useful for troubleshooting.

Configuring Traffic Overview Protocol Field Columns

  1. Right-click on the Traffic Overview view to display a shortcut menu, or select Traffic Overview Settings from the Traffic menu.

  2. Select Column Setup... from the menu.

  3. The Traffic Overview Protocol Field Columns dialog box appears.

  4. In the list on the left, select the protocol fields that should appear as columns. Clear the check boxes for the protocol fields you do not want as columns. You can also select all of the protocol fields in the list or clear the check boxes for all the protocol fields in the list by clicking Select All or Select None respectively.

Add New Protocol Field Columns

You can add protocol fields to the list on the left of the Traffic Overview Protocol Field Columns dialog box.

  1. Select the field from the Available Protocol Field Columns area on the right.

  2. Click Add.

The protocol field appears in the list on the left and is selected as a column to be shown.

indicates a protocol field that is always listed. The field appears in the Traffic Overview under the column name indicated in parenthesis.

Remove a Protocol Field Column

You can remove protocol fields from the list on the left of the Traffic Overview Protocol Field Columns dialog box.

  1. Click on the protocol field in the list that you want to remove.

  2. Click Remove.

The protocol field is removed from the list.

Save the Current Protocol Field Columns Settings

You can save your current protocol field columns settings to a file. You may want to import these settings into the Traffic Overview Protocol Field Columns dialog box at a later time.

  1. Click Save. The Select file to save columns to dialog box appears.

  2. Select the directory where you want to save your file.

  3. Type a file name and click on Save or press Enter.

Load Protocol Field Columns Settings

You can load protocol field columns settings into the Traffic Overview Protocol Field Columns dialog box from a saved file.

  1. Click Load. The Select file to load columns from dialog box appears.

  2. Select the directory where your file is located.

  3. Select the Column Settings (.kcs) file you want to use as your columns settings.

  4. Click on Open or press Enter.


Copying

You can copy messages and decodes and paste them into other applications.

The copying methods available from Traffic Overview and Decode views are:

Copy Messages

Copy Decodes


Printing

You can print messages and decodes. Printing methods available from Traffic Overview and Decode view are:

Print a Range of Messages

Print Decodes

Print Messages


Print a Range of Messages

  1. Click the Traffic Overview containing the messages you want to print.

  2. Select the messages.

    All Messages

    Click on any message and press CTRL+A.

    Range of Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down SHIFT and click the last message in the range. You can scroll to make the last message visible.

    Range of Non-Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down CTRL and click each message in the range. You can scroll to make the last message visible.

  3. Select Print from the File menu to display the Print dialog box.

  4. (OPTIONAL) Change the print settings.

  5. Click OK to print.


Print Decodes

  1. Click [image] to display the Decode view.

  2. Click the message in Traffic Overview for the message decode you want to copy. This selects it.

  3. (OPTIONAL) Select multiple messages.

    All Message Decodes

    Click on any message and press CTRL+A.

    Range of Adjacent Message Decodes

    Click the first message in the range (as in Step 2 above), and then hold down SHIFT and click the last message in the range. You can scroll to make the last message visible.

    Range of Non-Adjacent Message Decodes

    Click the first message in the range (as in Step 2 above), and then hold down CTRL and click each message in the range. You can scroll to make the last message visible.

  4. Right-click the Decode view and select Print from the pop-up menu.


Print Messages

  1. Click the Traffic Overview you want to print.

  2. Select Print from the File menu to display the Print dialog box.

  3. (OPTIONAL) Change the print settings.

  4. Click OK to print.


Saving

Logged data can be saved in a variety of ways:

  • Saving Data

  • Save Decodes to a Text File

  • Save a Range of Messages

  • Save Decodes to a CSV File


Saving data

The changes to log files can be saved either by:

  • Clicking [image] to overwrite the existing file.

  • Saving the data displayed in Traffic Overview to a different file.

Saving to a Different File

  1. Select Save data to new log file from the File menu to display the dialog box.

  2. There will be a tab for each Traffic Overview window. Select the settings for the data you want to save from each view.

  3. Click Save to save data.


Save Decodes to a Text File

  1. Click [image] to display the Decode view.

  2. Click the message in Traffic Overview to select it.

  3. (OPTIONAL) Select multiple messages.

    All Messages

    Click on any message and press CTRL+A.

    Range of Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down SHIFT and click the last message in the range. You can scroll to make the last message visible.

    Range of Non-Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down CTRL and click each message in the range. You can scroll to make the last message visible.

  4. Right-click in the Decode view and select Save to Text File... from the pop-up menu.

  5. The Select file for saving the X message(s) to (where X is the number of selected messages) dialog box appears. Choose a location and enter a filename for the text


Save a Range of Messages

  1. Click the Traffic Overview containing the messages you want to save.

  2. Select the messages.

    All Messages

    Click on any message and press CTRL+A.

    Range of Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down SHIFT and click the last message in the range. You can scroll to make the last message visible.

    Range of Non-Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down CTRL and click each message in the range. You can scroll to make the last message visible.

  3. Select Save from the File menu to display the Save dialog box.

  4. Click OK to save.


Save Decodes to a CSV File

Logged data can be saved in a file as a comma-separated string of values for spreadsheet applications. There are two options for saving to a CSV file:

  • Real time CSV Logging

  • Save to CSV Log File

To save decodes to a CSV file:

  1. Stop logging.

  2. Right-click in the Traffic Overview window.

  3. Select Save to CSV Log File.

  4. Enter the file name and path.

To enable real time CSV logging:

  1. Stop logging.

  2. Right-click in the Traffic Overview window.

  3. Select the Enable CSV Logging check box.

  4. Enter the file name and path.

  5. Start logging


Copy Decodes

You can copy message decodes into other applications. However, you can not copy portions of the decode for a message. Only the entire decode for a message or the complete decodes for multiple messages can be copied from the Wireless Protocol Advisor (WPA).

The following procedure details how to copy message decodes.

  1. Click [image] to display the Decode view.

  2. Click the message in Traffic Overview for the message decode you want to copy. This selects it.

  3. (OPTIONAL) You can also select to copy the decodes for more than one message using the appropriate procedure below.

    All Message Decodes

    Click on any message and press CTRL+A.

    Range of Adjacent Message Decodes

    Click the first message in the range (as in Step 2 above), and then hold down SHIFT and click the last message in the range. You can scroll to make the last message visible.

    Range of Non-Adjacent Message Decodes

    Click the first message in the range (as in Step 2 above), and then hold down CTRL and click each message in the range. You can scroll to make the last message visible.

  4. Right-click in the Decode view and select Copy from the pop-up menu.

  5. Follow the Paste instructions for the application you want to paste into.

You can paste decodes into other applications, such as MS Notepad.


Copy Messages

  1. Click the message to select it.

  2. (OPTIONAL) Select multiple messages.

    All Messages

    Click on any message and press [CTRL]+[A].

    Range of Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down [SHIFT] and click the last message in the range. You can scroll to make the last message visible.

    Range of Non-Adjacent Messages

    Click the first message in the range (as in Step 2 above), and then hold down [CTRL] and click each message in the range. You can scroll to make the last message visible.

  3. Right-click the selection and select Copy from the pop-up menu.

  4. Follow the Paste instructions for the application you want to paste into.

You can paste messages into other applications, such as MS Notepad.


Use Connection Trace

You can use Connection Trace to group messages by connection.

  • Purpose of Connection Trace

  • How Connection Trace Works


Opening a Connection Trace View

Select the Connection Trace View icon [image] . A Connection Trace Configuration window will appear.

To configure the Connection Trace view, see Configuring Connection Trace.

The Connection Trace view is similar to the Traffic Overview, with the information arranged in a table with each row representing a connection and each column selected from a list of choices. Right clicking within the Connection Trace view will bring up a dialog box that includes a Columns and Column Setup menu.

A Summary View of the Connection Trace view can also be displayed by right clicking in the Connection Trace view. The Summary View displays a running count of:

  • Total Calls

  • Active Calls

  • Terminated Calls

Connection Trace Summary View


Configuring Connection Trace

Configuring a Connection Trace

When the Connection Trace View icon Connection Trace is selected, the Connection Trace Configuration window will appear:

This window has two main elements:

  1. Profile - A drop down menu displays the current protocol specification. The profile defines the model that WPA will use to track a connection's state and phase transitions.

The current choice(s) are:

    • TCP. This profile is based on the protocol specification RFC793.

  2. Tabs - Four tabs are also displayed:

  • Connection Selection - used to configure the connection

  • Connection Warnings - used to configure connection status and duration warnings

  • Connection Phase Colors - used to select colors for the graphic phase indicators.

  • Logging - used to select the connection trace information saved to CSV (comma-separated value) files.


Grouping Messages by Connection

The Connection Trace feature provides the capability to isolate messages in the Traffic Overview window that pertain to a given connection (see Purpose of Connection Trace).

To Group Messages:

With the WPA in Post Capture mode, or in Real Time mode with the logging status idle:

  1. Open the Connection Trace View (see Opening a Connection Trace View)

  2. Double-click one of the connections in the Connection Trace view. If there are no connections displayed, check the Traffic Overview window to make sure that filter and trigger settings allowed messages that fit the current Connection Trace Profile (see Configuring Connection Trace) to be logged.

  3. If you want to select a message from the Traffic Overview window and group all messages associated with its connection, click on the message and click on the Group icon [image], or, right-click on the message and select Select Connection from the menu.

To Ungroup Messages

  1. Click on the Group icon [image].


Learn About ...

The topics in this section provide information about the features of the Wireless Protocol Advisor (WPA).

For more information, choose a topic below:

Learn about Capturing

Learn about Triggers and Filters

Learn about the Measurement Setup View

Learn about Analyzing Messages

Learn about Connection Trace


Learn about Triggers and Filters

Triggers and Filters are used to control which events and messages are captured and displayed. You can have any mixture of triggers and filters. The default trigger and filter settings capture and display every message received from the test set when [image] is clicked. (These are the messages passed through the test set filter.)

There are two parts to triggers and filters:

  • Criteria - define what happens when the conditions are met. Criteria are set in the upper half of the dialog box. Multiple triggers or filters are 'OR'ed, that is, ALL CONDITIONS in ALL TABS for ANY ONE (trigger or filter) will activate the trigger or pass through the filter.

  • Conditions - define the event or message that will activate the trigger or pass through the filter. Conditions are set up in the lower half of the dialog box. In a single trigger or filter the conditions are 'AND'ed, that is, ALL CONDITIONS in ALL TABS must be met to activate the trigger or pass through the filter.


Conditions

Trigger and Filter Conditions are defined in the lower half of Trigger and Filter Editors under tabs. They define the messages that will activate the Trigger or Filter.

There are several types of Trigger and Filter Conditions:

  • Event - reserved for future use.

  • Message Match - defines messages based on Protocol Stacks and Protocols, for example, Message Types, Calling Party Number, Destination Point Codes, and so on.

  • Time - defines messages based on the Time they were received.

  • Text Search - searches decoded text for a string value.

  • Trigger Counts - (Real Time Triggers only) defines the occurrence of the trigger conditions that will activate the trigger, for example, if you set the trigger to be activated on the fourth occurrence, the first three times will be ignored.


Critieria

Criteria

Trigger and Filter Criteria are defined in the top half of Trigger and Filter Editors. They define what action is to be taken when the Trigger or Filter Conditions are met.

  • Start Triggers - automatically starts capturing when the Wireless Protocol Advisor detects an event or message that meets the conditions. Using Criteria you can capture before the event or message that activates the trigger. You can capture a number of messages or for a period of time before the Start Trigger.

  • Stop Triggers - automatically stops capturing when the Wireless Protocol Advisor detects an event or message that meets the conditions. Using Criteria you can capture after the event or message that activates the trigger. You can capture a number of messages or for a period of time after the Stop Trigger.

  • Logging Filters - restricts which links, events and messages are captured.

  • View Filters - restricts which captured events and messages are displayed in Traffic Overview.

  • Find - finds events and messages in Traffic Overview. Once the filter conditions are defined you can Find Next and Find Previous to highlight the next event or message that meets the conditions.


Learn About Connection Trace

This chapter includes:

  • How Connection Trace Works

  • Purpose of Connection Trace


Connection Trace

Connection Trace is a feature of the WPA (Wireless Protocol Advisor) that mirrors the behavior of a network connection within the WPA for the purpose of tracking and performing measurements on connections. Initially, the only profile supported is TCP, also known as RFC 793 - Transmission Control Protocol.

When a Connection Trace view is selected, the WPA will display a text box for entering connection information (see Configuring Connection Trace). By specifying end point ports and addresses, Connection Trace can be restricted to display only those messages that pertain to the select criterion. If end point ports and addresses are not furnished to WPA, Connection Trace will display all connections.

During a logging session, the WPA displays the phases of each TCP connection using one FSM (Finite State Machine) per connection. The modeling performed by each FSM is based on specifications from RFC 793.

There are six phases possible during a connection:

  • Establishing - One side (DUT or network) has attempted to set up a connection.

  • Established - A TCP connection has been established.

  • Reset - Either party has reset the connection

  • Closing - One of the parties has closed their transmit part of the connection.

  • Time Wait - Both sides waiting for any remaining messages.

  • Closed - The connection has been terminated.

These phases are displayed as colored bars in the Phase Graphics column (see Connection Phase Colors).

Data throughput counters are also maintained during each connection. These counters display the total bytes transferred and the throughput rate in bps (bits per second) at both the TCP and IP protocol layers.

Double-clicking a connection groups the messages from that connection in the Traffic Overview window (see Purpose of Connection Trace).


Purpose of Connection Trace

The Purpose of Connection Trace

During a logging session, the DUT (Device Under Test) may communicate with one or more machines using one or more protocol ports per machine. Each of these communication links represent a connection, and the number of connections that can appear during a logging session depends on the nature of the network traffic.

Without a Connection Trace view selected the Traffic Overview window will display all logged messages for all connections within the scope of filter settings. Isolating only those messages that pertain to a single connection would require a filter setup for each connection.

Connection Trace solves this problem by providing the Connection Trace view. This view lists each connection that is part of a connection profile and is within the scope of endpoint addresses and protocol ports, if specified. When a connection is selected in the Connection Trace view, messages associated with that connection will be grouped together in the Traffic Overview window.

In the Connection Trace view, each connection is assigned a Connection Identity number. Along with the Connection Identity number the Connection Trace view displays selected information such as:

  • Duration - the elapsed time of the connection.

  • Status - has the connection been terminated?

  • Phase Graphics - a graphic representation of each connection's phase progression.

  • Data throughput - IP data and bps (bits per second)

A Summary View of the Connection Trace view can also be displayed. The Summary View displays a running count of:

  • Total Connections

  • Active Connections

  • Terminated Connections


Learn about the Measurement Setup View

Measurement Setup view graphically represents all the applications and views being used in Real Time mode ( [image]), or by the selected log file in Post Capture mode ( [image]).

The Measurement Setup view is displayed from Monitor by clicking [image] or by selecting Measurement Setup View from the View menu.

Measurement Setup view shows the flow of messages.


Real Time Measurement Setup

In Real Time mode, the Measurement Setup view shows the elements that have been set up for capturing messages exchanged between the test set and the device under test. To put the Wireless Protocol Advisor (WPA) into Real Time mode click [image] in Monitor. To add additional Traffic Overviews and set up any associated filters, click the button and select the relevant options.

In Real Time Measurement Setup you can:

  • Go to Configuration and edit the settings.

  • Define which messages and events should be captured.

  • Define how the data should be analyzed and viewed.

  • Copy and paste Trigger and Filter settings.

  • Import an existing measurement setup (containing configuration and measurement settings).

Measurement Setup view is the only view where you can define which messages and events should be captured. Triggers and all the filters to the left of the Log File icon define which messages are captured.

To improve capture performance close unnecessary views, especially Traffic Overviews. These can be added later during Post Capture analysis. The decode view should also be closed to improve performance.


Post Capture Measurement Setup

In Post Capture mode, the settings used during the file's capture are shown in the Capture Details box. These settings cannot be changed in Post Capture. To put the Wireless Protocol Advisor into Post Capture mode click [image] in Monitor.

In Post Capture Measurement Setup you can:

  • View the Configuration settings used during the capture.

  • Edit part of the Configuration.

  • View any triggers and logging filters.

  • Add view filters to the Traffic Overviews.

  • Use find filters in the Traffic Overviews.

The test set filter settings used during the capture are not available in Post Capture mode.


Learn About Analyzing Messages

The basic view used to display signaling is the Traffic Overview window. The Traffic Overview window can be split into two. The upper pane displays the Traffic Overview and the lower pane displays the detailed Decode view.

Traffic Overview

In this example, for each message Traffic Overview displays the link, direction, timestamp and description. The details for the selected message appear in the Status Bar. As messages are captured they scroll up the Traffic Overview.

The Traffic Overview shows messages in blue, unless the message was received in error or a message is missing. When there is an error, Decode Error is displayed in the Status Bar.

Traffic Overviews are added by clicking [image] or by selecting New Traffic Overview from the View menu.

Decode View

The Decode view is displayed in the bottom half of the Traffic Overview. It shows the decoded information for the message highlighted in the Traffic Overview. The decodes are automatically determined from the protocol associated with that link.

The Decode view shows MTAL messages in blue, message contents in green, and decode errors in red.

The current message is decoded by clicking [image], by selecting Decode View from the Traffic menu, or by double-clicking the message.

Capturing from many links and analyzing the data through many views may affect the performance. Here are some tips:

  • Use the Test Set Filter to minimize the number of messages sent over the LAN connection.

  • Minimize Traffic Overviews.

  • Use Logging Filters to restrict the data captured.


Changing the Level of Detail Displayed

The amount of detail displayed on the Traffic Overview can be changed by creating and applying a View Filter.


Decode View Columns

Columns can be hidden by right-clicking on the view and selecting the columns you want.

  • Octet View - the octet number of this part of the message.

  • D ecimal - the decimal format of the binary data for that octet.

  • Octet Data - a horizontal display of all raw binary message bits separated into octets and includes the ASCII data for each octet.

  • Type - Mandatory (M), Optional (O), Fixed (F) or Variable (V).

  • Binary - the binary data which makes up the octet. Most Significant Bit (MSB) is to the left and Least Significant Bit (LSB) is to the right.

  • Hex - the hexadecimal format of the binary data for that octet.

  • Description - the information contained in the octet.

You can also change the width and order of columns.

Information

Field per Line detailed decodes may sometimes show octets in repeated order. This is may be due to:

  • Fields not using consecutive bits across an octet boundary.

  • An octet going across a layer boundary. In this case new layer will repeat bits on previous layer and mark as 'Spare'.


Filtering Messages

View Filters restrict the messages displayed in the Traffic Overview. Only messages which meet the specified filter criteria are shown in Traffic Overview. You set up View Filters by selecting the Traffic Overview and defining the filter criteria by selecting View Filter from the Traffic menu.


Finding Messages

If you select Find from the Traffic menu you can use the Filter Editor dialog box to set up the messages you want to find. You can jump to the next (or previous) message that meets the Find criteria.


Synchronization

Multiple Traffic Overviews of the same file can be synchronized so that a message highlighted in one Traffic Overview is automatically highlighted in additional Traffic Overviews (see Traffic Overview). You can chose to switch on synchronization by selecting Synchronize Views from the Traffic menu.

If a highlighted message does not appear in an additional Traffic Overview (because it has different filter settings), the nearest message will be highlighted instead.


Timestamps

The Wireless Protocol Advisor displays a timestamp for each message.

This information originates from the test set and indicates the time of day that a message was relayed to the WPA software. Timestamps do not account for time delays that occur between the DUT (Device Under Test) actually sending/receiving messages and the test set relaying these messages to the WPA software.

You can change the displayed timestamp format from Traffic menu by selecting Traffic Overview Settings and then Timestamp Format.

There are three timestamp formats:

  • Relative - shows the time difference between each message and the selected message when the Relative Timestamp format was chosen.

  • Absolute (Date) - shows the date and time the message was captured.

  • Absolute (No Date) - shows the time the message was captured.


Traffic Overview Columns

Columns can be added by right-clicking on the view and selecting the columns you want. You can also hide columns by selecting the checked columns you want to hide.

  • Num - the sequential number of the message within the file.

  • Direction (text) - text indicates the direction the message was sent.

  • Direction (arrow) - arrow indicates the direction the message was sent.

  • Timestamp - the time the message was recorded or the time period relative to another message.

  • Repeat Count - the number of concurrent short messages.

You can also change the width and order of columns.


Learn about Capturing

Learn about Capturing Messages

Once the Wireless Protocol Advisor is connected to your test set and configured you only have to click the record button in Monitor to capture messages between the test set and the Device Under Test.

When Monitoring

The Wireless Protocol Advisor captures everything from the test set unless you set up restrictions. The Wireless Protocol Advisor can start and stop capturing automatically based on the Trigger settings you set. You can also restrict which events and messages are captured by setting logging filters.

Triggers and Logging Filters are set up in Measurement Setup view. Each setup is stored in the log file (*.tol) along with the captured network traffic. The Measurement Setup information can also be exported and used again for future captures.


Remote Operation with the API (Application Programming Interface)

The WPA (Wireless Protocol Analyzer) contains an Application Programming Interface (API), which allows programmatic control of WPA's protocol logging capability. A typical application of this API would be a program that exercised the device you are testing while controlling the WPA to log and save the protocol messages.

Functions

The WPA contains the following functions:

  • Open a Connection to the WPA

  • Connect to the Test Set

  • Load a Trigger Definition File

  • Load a Logging Filter Definition File

  • Start Logging

  • Stop Logging

  • Save the Log to a File

  • Disconnect from the Test Set

  • Close a Connection to the WPA

  • Query the Number of Messages Logged

  • Query the Logging State

The API can be used when the WPA software is running from the Startup dialog (before the operation mode has been selected).

Required Files

The DLL file for the API is located at:

C:\Program Files\technology Wireless Protocol Advisor\bin\wpa_api.dll

where technology is the technology of the WPA version (e.g. GPRS or CDMA). In addition you need the following files which describe the API function calls:

  • wpa_api.lib

  • WPA_API.h

  • api_defines.h

These files are located at:

C:\Program Files\technology Wireless Protocol Advisor\API\

Using the API

You can use the API to control the WPA with a user program. This program could be written in many different programming languages. Some examples are:

  • C/C++

  • Visual Basic


Using the API with Visual Basic

The following declarations can be used to access the API from Visual Basic.

Private Declare Function WPA_OpenWPAConnection Lib "wpa_api.dll" () As Long

Private Declare Function WPA_ConnectTester Lib "wpa_api.dll" (ByVal Address As String) As Long

Private Declare Function WPA_DisconnectTester Lib "wpa_api.dll" () As Long

Private Declare Function WPA_StartLogging Lib "wpa_api.dll" () As Long

Private Declare Function WPA_StopLogging Lib "wpa_api.dll" () As Long

Private Declare Function WPA_SaveLog Lib "wpa_api.dll" (ByVal FileType As Long, ByVal FileName As String) As Long

Private Declare Function WPA_QueryNumMessages Lib "wpa_api.dll" () As Long

Private Declare Function WPA_QueryLoggingState Lib "wpa_api.dll" () As Long

Private Declare Function WPA_LoadTrigger Lib "wpa_api.dll" (ByVal FileName As String) As Long

Private Declare Function WPA_LoadLoggingFilter Lib "wpa_api.dll" (ByVal FileName As String) As Long

Private Declare Function WPA_CloseWPAConnection Lib "wpa_api.dll" () As Long


Using the API with C/C++

The C interface for this functionality is as follows:

// *******************************

#define WPA_STATE_DISCONNECTED 1

#define WPA_STATE_IDLE 2

#define WPA_STATE_WAITING_FOR_START_TRIG 3

#define WPA_STATE_ACTIVE 4

#define WPA_STATE_STOPPING 5

#define WPA_SUCCESS 0

// Unless otherwise noted, the functions below return 0 for success and negative values for failures.

int __stdcall WPA_OpenWPAConnection(void);

// Opens a connection from the user's program to WPA.

// WPA must be running and displaying the blue splash screen.

int __stdcall WPA_ConnectTester(char* IP_address);

// Causes the software to connect to the Test Set. Requires the IP address or hostname of the tester.

int __stdcall WPA_LoadTrigger(char* filename);

// Loads a trigger definition file if needed.

//An empty string for the filename ("") clears triggers.

int __stdcall WPA_LoadLoggingFilter(char* filename);

// Loads a logging filter definition file if needed.

// An empty string for the filename ("") clears logging filters.

int __stdcall WPA_StartLogging(void);

// Begins logging.

int __stdcall WPA_StopLogging(void);

// Ends logging.

int __stdcall WPA_SaveLog(int type, char* theFile);

// Saves the log to the path/filename specified.

// Use type 0 for TOL files, other values of type are reserved.

int __stdcall WPA_DisconnectTester(void);

// Disconnect from the Test Set.

int __stdcall WPA_CloseWPAConnection(void);

// Disconnect user program from WPA

int __stdcall WPA_QueryNumMessages(void);

int __stdcall WPA_QueryLoggingState(void);

These calls can be used any time the user's program is connected to WPA. They will return negative values for failure conditions and non-negative values for number of messages logged or state.


C/C++ API Programming Example

The following code fragment illustrates a possible usage scenario.

// Initialization code. At this point WPA must be running with

// the blue splash screen visible.

int result;

result = WPA_OpenWPAConnection();

if (result) return result;

result = WPA_ConnectTester("192.168.0.137");

if (result) return result;

// Insert other code here to get DUT to an "interesting" state.

result = WPA_StartLogging();

if (result) return result;

// Insert other code here to cause protocol events that are to be logged.

result = WPA_StopLogging();

if (result) return result;

result = WPA_SaveLog(0,"C:\savelog.tol");

if (result) return result;

// Cleanup code

WPA_DisconnectTester();

WPA_CloseWPAConnection();

savelog.tol is used with WPA in Post Capture mode to do analysis.


Loading and Licensing the Wireless Protocol Advisor

The topics in this section contain information on installing and upgrading the Wireless Protocol Advisor and about licensing software options.

For more information, choose a topic below:

Re-install/Upgrade the Wireless Protocol Advisor

Licensing Software Options


Re-install/Upgrade the Wireless Protocol Advisor

The E6584A installation process will only detect previous versions of the E6584A. If you have an older version of WPA (E6581A, E6582A, E6583A) you will need to uninstall it manually. If you are prompted to uninstall WPA from your PC, first go to the Control Panel and click Add/Remove Programs. Then select Wireless Protocol Advisor and click remove.

Previous versions of the E6584A must be uninstalled before installing a new version of WPA. Installation of WPA requires administrative privileges.

The revision number format used by the WPA is XX.YY.ZZ, where X, Y, and Z can be any number 0-9. The XX portion of the revision number can also be any letter A-Z, which is mapped to numbers 0-25. For example, WPA software version A.03.00 is identical to WPA software version 00.03.00. The installation process only displays the numeric form of the revision number.

Installation from CD-ROM

  1. Insert the CD in your CD-ROM drive.

If your PC is setup to run when a CD is inserted you should accept the default options shown during the installation process.

If your PC does not auto-run when it detects a CD you should run the Setup.exe file on the CD from Windows Explorer. Accept the default options suggested by the installation process.

  1. Once installed the Wireless Protocol Advisor icon will appear on your desktop.

  2. Double-click the icon to start the Wireless Protocol Advisor.

The Software Option Controller will automatically start if the WPA software is not licensed. Follow the instructions on your software entitlement certificate to license WPA options, or enter Demo Mode to try out WPA features.

Installation from the Agilent Technologies Website

You can download the latest version of WPA from the Agilent Technologies web site at:

http://www.agilent.com/find/e6584a

Installation Procedure:

  1. Download the software to your PC.

  2. Run the executable that you've downloaded. This will start the installation software.

  3. Once installed the Wireless Protocol Advisor icon will appear on your desktop.

  4. Double-click the icon to launch the Wireless Protocol Advisor.


Licensing Software Options

Software options determine which wireless technologies are supported by the WPA. Software options are licensed by downloading a license file from the Internet. An Entitlement Certificate issued with the purchase of WPA provides instructions for downloading the license file.

The Software Option Controller displays the options that are currently licensed on your PC and provides the MAC Address that is needed for downloading the license file.

The Software Option Controller is displayed automatically when no software options are licensed. After WPA is licensed (one or more options are licensed), the Software Option Controller window will not be displayed automatically.

To display the Software Option Controller manually click on the Start button, then point to Programs. Point to the folder that contains Wireless Protocol Advisor, then click on the Software Option Controller.

User Access

Any user that is able to login to a PC, that has a licensed version of Wireless Protocol Advisor, has unrestricted access to WPA regardless of whether they have administrative privileges. A user's custom settings do not affect the custom settings of another user.


Troubleshooting

The topics in this section provide troubleshooting information relating to installation, set up or use.

For more information, choose a book or topic below:

Troubleshooting

  • Channel column directions are reversed

  • WPA does not connect with the test set

  • Logging has stopped because the disk is full.

Self Test

Contact Us


Self Test

There is currently one self test available. This test verifies the connection between WPA and the test set.

  1. Open the Monitor window.

  2. Select Self Test from the Tools menu. The self test will run and will pop open a dialog confirming errors or success.


Contact Us

To find information about technical support, equipment service and repair, and training, visit the following Agilent Technologies Web site:

http://we.home.agilent.com/cgi-bin/bvpub/agilent/ContactPages/cp_ContactInformation.jsp?LANGUAGE_CODE=eng&COUNTRY_CODE=ZZ&NAV_ID=-11145.0.00

Service and Support

Contact your customer engineer through your local Agilent Technologies Service Center.

If you do not have access to the Internet, one of these centers can direct you to your nearest representative:

United States Test and Measurement Call Center

(Toll free in US)

(800) 452-4844

Europe

(31 20) 547 9900

Canada

(905) 206-4725

Japan Measurement Assistance Center

(81) 426 56 7832

(81) 426 56 7840 (FAX)

Latin America

(305) 267 4288 (FAX)

Australia/New Zealand

1 800 629 485 (Australia)

0800 738 378 (New Zealand)

Asia-Pacific

(852) 2599 7777

(852) 2506 9285 (FAX)

Regional Sales Offices

United States of America:

Agilent Technologies

Test and Measurement Call Center

P.O. Box 4026

Englewood, CO 80155-4026

(tel) 1 800 452 4844

Canada:

Agilent Technologies Canada Inc.

2660 Matheson Blvd. E

Mississauga, Ontario

L4W 5M2

(tel) 1 877 894 4414

Europe:

Agilent Technologies

European Marketing Organization

P.O. Box 999

1180 AZ Amstelveen

The Netherlands

(tel) (3120) 547 9999

Japan:

Agilent Technologies Japan Ltd.

Measurement Assistance Center

9-1 Takakura-Cho, Hachioji-Shi,

Tokyo 192-8510, Japan

(tel) (81) 456-56-7832

(fax) (81) 426-56-7840

Latin America:

Agilent Technologies

Latin America Region Headquarters

5200 Blue Lagoon Drive,

Suite #950

Miami, Florida 33126

U.S. A.

(tel) (305) 267 4245

(fax) (305) 267 4286

Australia/New Zealand:

Agilent Technologies Australia Pty Ltd.

347 Burwood Highway

Forest Hill, Victoria 3131

Australia

Australia

(tel) 1 800 629 485

(fax) (61 3) 9272 0749

New Zealand

(tel) 0 800 738 378

(fax) (64 4) 802 6881

Asia Pacific:

Agilent Technologies

24/F, Cityplaza One,

111 Kings Road,

Taikoo Shing, Hong Kong

(tel) (852) 3197 7777

(fax) (852) 2506 9233


Channel Column Directions are Reversed

If you have upgraded the Wireless Protocol Advisor from the E6582A (cdma2000) to E6584A (multi-format) and you attempt to view log (.tol) files saved using the E6582A, the Direction column in the Traffic Overview will have message directions reversed.

To correct this problem a program was created to reverse all Direction column readings:

  1. Save a backup copy of the .tol files that have the Direction column readings reversed.

  2. Run the StreamSwap executable (this file is located in the Program Files/Wireless Protocol Advisor/Bin folder).

  3. Click on the Select Files button and select the .tol files that you backed up.

  4. Click on the Exit button to exit the StreamSwap program.

  5. Re-open the .tol file.

The Direction column in the Traffic Overview window should now display the correct Forward/Reverse or Up(link)/Down(link) indicators.


Logging stopped because the disk is full.

The wireless protocol advisor will not capture data if your local hard drive is full. Alternatively, if your hard drive is almost full, wireless protocol advisor may start capturing data, but terminate before you stop capturing data and display the following message:

Solution

Before any further data capturing can take place, you must create some space on your local hard drive. Wireless protocol advisor will then be able to capture data once your computer has been restarted.


System Time

System Time represents the cellular system clock at the time messages were relayed from the test set to the WPA software.

The System Time is not equivalent to the GSM Frame Number.


Connection Phase Colors

The Connection Phase Colors tab is used to assign colors to connection trace (see Purpose of Connection Trace) phase indicators .

To assign a connection trace phase color:

  1. Open a Connection Trace view.

  2. Right click in the Connection Trace window and select Configuration.

  3. Click the Conn. Phase Colors tab.

  4. Click any of the Phase buttons.

  5. Select a color.

  6. Click OK.


Connection Selection

The Connection Selection tab is used to restrict the number of connections (see Purpose of Connection Trace) by specifying only those addresses or ports that are of interest.

To specify a DUT or Network address:

  1. Open a Connection Trace view.

  2. Right click in the Connection Trace window and select Configuration.

  3. Click the Conn. Selection tab.

  4. Select network or DUT address.

  5. Click Add Value.

  6. Enter an IP address and click OK.

To specify a DUT or Network port:

  1. Open a Connection Trace view.

  2. Right click in the Connection Trace window and select Configuration.

  3. Click the Conn. Selection tab.

  4. Select network or DUT port.

  5. Click the check boxes for ports that are of interest.

  6. Click OK.


Connection Warnings

The Connection Warnings tab is used to assign colors to connection trace (see Purpose of Connection Trace) warning indicators .

To assign an Under Duration or Over Duration time limit and color (duration is the time between the first event of a connection and the last event):

  1. Open a Connection Trace view.

  2. Right click in the Connection Trace window and select Configuration.

  3. Click the Conn. Warnings tab.

  4. Select the Under Duration or Over Duration check box.

  5. Use the up/down arrows to select a time value.

  6. Click the Over Duration or Under Duration button.

  7. Select a color

  8. Click OK


Logging

The Logging tab is used to specify the information to be used when saving a connection trace (see Purpose of Connection Trace) log to CSV files. CSV files produce a comma-separated list of values for use in a spreadsheet display format.

To specify CSV connection trace logging:

  1. Open a Connection Trace view.

  2. Right click in the Connection Trace window and select Configuration.

  3. Click on the Logging tab.

  4. Place a check mark in the Enable Connection Trace CSV Logging box.

  5. Enter a Filename.

  6. If you want the connection trace summary information included, select the Output Summary Information check box. (The summary information is displayed when the Summary View command is selected as shown below.)

  7. If you want the connection trace columns included, click the Export headings check box. Click the Export all columns or Export visible columns option. (All columns are displayed when the Columns command is selected as shown below.)

  8. If you want the connection trace phase information included, click the Export phase graphics check box. Click on the two options you want for phase descriptions.

  9. Click OK.